Skip to main content
PATCH
Update or Restore Evaluation

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

evaluation_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 128
description
string | null
Maximum string length: 280
tags
string[] | null

The tags associated with the evaluation

Maximum array length: 100
Required string length: 1 - 255
metadata
Metadata · object | null

Optional metadata key-value pairs for the evaluation

Response

Successful Response

id
string
required

The unique identifier of the entity.

name
string
required
created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

created_by
Identity · object
required

The identity that created the entity.

tags
string[] | null
required

The tags associated with the entity

datasets
Datasets · object[] | null
required
status
enum<string>
required
Available options:
failed,
completed,
running
object
string
default:evaluation
Allowed value: "evaluation"
description
string | null
archived_at
string<date-time> | null

The date and time when the entity was archived in ISO format.

status_reason
string | null

Reason for evaluation status

progress
EvaluationTasksProgressSchema · object | null

Progress of the evaluation's underlying async job

tasks
(ChatCompletionEvaluationTask · object | GenericInferenceEvaluationTask · object | ApplicationVariantV1EvaluationTask · object | AgentexOutputEvaluationTask · object | MetricEvaluationTask · object | AutoEvaluationQuestionTask · object | AutoEvaluationGuidedDecodingEvaluationTask · object | AutoEvaluationAgentEvaluationTask · object | ContributorEvaluationQuestionTask · object | CustomFunctionEvaluationTask · object)[] | null

Tasks executed during evaluation. Populated with optional task view.

metadata
Metadata · object | null

Metadata key-value pairs for the evaluation

error_count
integer | null

Number of task errors across all items in this evaluation.